import { SmartDeviceModel } from '@tuya-miniapp/sdm';
// import { ProductName } from '@/constants';

type SmartDeviceSchema = typeof import('@/devices/schema').fanSchema;

// type SmartDevices = {
//   [ProductName]?: import('@tuya-miniapp/sdm').SmartDeviceModel<SmartDeviceSchema>;
// };

export const devices = {
  fan: new SmartDeviceModel<SmartDeviceSchema>(),
};

Object.keys(devices).forEach((k: keyof typeof devices) => {
  devices[k].init();
});
